Skip to content

Create User Group.

POST
/api/web/custom/namespaces/system/user_groups
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/system/user_groups \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "description": "example", "display_name": "example", "name": "example", "namespace_roles": [ { "namespace": "example", "role": "example" } ], "sync_id": "example", "usernames": [ "example" ] }'

Create creates user group with users to be assigned.

Examples of this operation.

Media typeapplication/json
User Group Request

Request to create/update user group with user assignment to it.

object
description
description

The description set for this user_group.

string
>= 21 characters <= 1024 characters
display_name
Display Name

Display name of the group used as well for scim sync.

string
<= 1024 characters
name
Name

Internal name of the group.

string
>= 6 characters <= 1024 characters
namespace_roles
Namespace roles

List of roles that the user group has for each namespace.

Array<object>
Namespace role

Allows linking namespaces and roles.

object
namespace
Namespace

Namespace the role applies to ’*’ value implies all namespaces Required: YES.

string
>= 6 characters <= 256 characters
role
Role

Users role for this namespace Required: YES.

string
<= 256 characters
sync_id
Sync Id

Sync ID of the user group.

string
<= 1024 characters
usernames
Usernames

List of the users enumerated by name.

Array<string>
Examplegenerated
{
"description": "example",
"display_name": "example",
"name": "example",
"namespace_roles": [
{
"namespace": "example",
"role": "example"
}
],
"sync_id": "example",
"usernames": [
"example"
]
}

A successful response.

Media typeapplication/json
Create User Group Response

Response which return the created user group with the list of the users.

object
description
description

The description set for this user_group.

string
>= 21 characters <= 1024 characters
display_name
Display Name

Display name of the group used as well for scim sync.

string
<= 1024 characters
error
object
code
string
default: EOK
Allowed values: EOK EPERMS EBADINPUT ENOTFOUND EEXISTS EUNKNOWN ESERIALIZE EINTERNAL EPARTIAL
error_obj
object
type_url

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one ”/” character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.duration). The name should be in a canonical form (e.g., leading ”.” is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme HTTP, HTTPS, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, HTTPS is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than HTTP, HTTPS (or the empty scheme) might be used with implementation specific semantics.

string
<= 1024 characters
value

Must be a valid serialized protocol buffer of the above specified type.

string format: byte
>= 3 characters <= 1024 characters
message
message

A human readable string of the error.

string
<= 1024 characters
id
Id

Internal ID of the group.

string
>= 1 <= 4094 <= 1024 characters
name
Name

Internal name of the group.

string
>= 6 characters <= 1024 characters
namespace_roles
Namespace roles

List of namespace,roles for the user group.

Array<object>
Namespace role

Allows linking namespaces and roles.

object
namespace
Namespace

Namespace the role applies to ’*’ value implies all namespaces Required: YES.

string
>= 6 characters <= 256 characters
role
Role

Users role for this namespace Required: YES.

string
<= 256 characters
references_count
Reference Count

The map holds the count of references which needs to be shown in the group list.

object
sync_id
Sync Id

Sync ID of the user group.

string
<= 1024 characters
sync_mode
string
default: SELF
Allowed values: SELF SCIM
uid
UID

Internal uid of the group.

string format: uuid
>= 36 characters <= 1024 characters
usernames
Usernames

List of the users in the group.

Array<string>
Example
{
"error": {
"code": "EOK"
},
"sync_mode": "SELF"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example